For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
ModelsChatRankingsDocs
DocsAPI ReferenceClient SDKsAgent SDKCookbookChangelog
DocsAPI ReferenceClient SDKsAgent SDKCookbookChangelog
  • API Guides
    • Overview
    • Streaming
    • Embeddings
    • Limits
    • Authentication
    • Parameters
    • Errors and Debugging
  • API Reference
      • GETList observability destinations
      • POSTCreate an observability destination
      • GETGet an observability destination
      • DELDelete an observability destination
      • PATCHUpdate an observability destination
LogoLogo
ModelsChatRankingsDocs
API ReferenceObservability

Delete an observability destination

DELETE
https://openrouter.ai/api/v1/observability/destinations/:id
DELETE
/api/v1/observability/destinations/:id
$curl -X DELETE https://openrouter.ai/api/v1/observability/destinations/99999999-aaaa-bbbb-cccc-dddddddddddd \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{}'
1{
2 "deleted": true
3}

Delete an existing observability destination. This performs a soft delete. Management key required.

Was this page helpful?
Previous

Update an observability destination

Next
Built with

Authentication

AuthorizationBearer
API key as bearer token in Authorization header

Path parameters

idstringRequiredformat: "uuid"

The destination ID (UUID).

Response

Destination deleted successfully
deletedtrue

Always true on success.

Errors

401
Unauthorized Error
404
Not Found Error
500
Internal Server Error